/*
 * BoostController2.h
 *
 *  Created on: 08.02.2012
 *      Author: bofh
 */

#ifndef BOOSTCONTROLLER2_H_
#define BOOSTCONTROLLER2_H_

#include "util.h"

#define BOOSTLIMIT 1.7
#define PID_ACTIVATION_THRESHOLD 0.2

class PID;

class BoostController2 {
public:
	BoostController2();
	void myconstructor ();

	void setN75Params (uint16_t *data);
	void loadFromEeprom();
	void compute ();
	void computeSimple ();

	//! output which sould be written to N75
	double boostOutput;

	uint8_t n75_pwm;
	double n75_boost;
	//TODO implement me!
	double n75_max_boost;

	double req_Boost_PWM;
	double req_Boost;

	PID *pid;
	double pidBoostSetPoint;

	bool usePID;
	bool aggressiveSettings;

	//! output from PID
	double pidBoostOutput;

	/*
	 * aggressive PID Settings if the gap to the setpoint is greater
	 */
	double aKp, aKi, aKd;
	double apidActivationThresholdFactor;
	/*
	 * conservative PID Settings if we're near to the setpoint setpoint
	 */
	double cKp, cKi, cKd;
	double cpidActivationThresholdFactor;

};

extern BoostController2 boostController;

#endif /* BOOSTCONTROLLER2_H_ */
