/*
    Copyright 2009-10 Stephan Martin, Dominik Gummel

    This file is part of Multidisplay.

    Multidisplay is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Multidisplay is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Multidisplay.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef MULTIDISPLAY_DEFINES_H_
#define MULTIDISPLAY_DEFINES_H_

#if defined(__AVR_ATmega1280__) || defined(__AVR_ATmega2560__)
#define MULTIDISPLAY_V2
#else
#define MULTIDISPLAY_V1
#endif





#define BOOSTPID

#define READFROMEEPROM


//Options:

//#define DEBUG 1
//#define LCDTEST 1
//#define RPM_DEBUG 0             //Little Frequency Generator
//#define FREEMEM 0              //Outputs how much free RAM is

#define INITTIME 2000          //How long the Init screen will be shown
//--------------------------------------

//--------------------------------------

#define BUTTONHOLD 1000         //ms to trigger a Hold (Every Xms a hold is triggered)
#define SCREENSAVEDELAY 10000	//ms after what it will save the Screen

#define FLASH_TIME 100            //ms the interval when a Limit is exceeded, the LCD will flash with this interval)
#define FLASH_E_TIME 5000          //how long the flash is shown at a minimum


  //Set the Pinmodes:
#define REDLEDPIN 3
#define GREENLEDPIN 5
#define ONBOARDBUTTONPIN 7
#define N75PIN 9

//Analog In 0 = Boost Input (MPXA6400AP)
#define BOOSTPIN A0
#define POTIPIN A1
#define VOLTAGEPIN A2
//switch pid on or off
#define NORDSCHLEIFENPIN A3



//temp hack
typedef unsigned char byte;

//serial output
#define SERIALOUT_DISABLED 0
#define SERIALOUT_ENABLED 2
//send and receive each SERIALFREQ millisecs!
#define SERIALFREQ 100

#define BAR2PSI 14.50377

/**
 * EEPROM Layout:
 *
 * Start Byte | type | name
 * 0   | byte | n75 manual normal
 * 1   | byte | n75 manual race
 * 100 | byte | activeScreen
 * 105 | byte | brightness
 * 200 | double | calLD
 * 205 | byte | ldCalPoint
 */
#define EEPROM_N75_PWM 1

#define EEPROM_N75_PID_aKp 2
#define EEPROM_N75_PID_aKd 4
#define EEPROM_N75_PID_aKi 6
#define EEPROM_N75_PID_cKp 8
#define EEPROM_N75_PID_cKd 10
#define EEPROM_N75_PID_cKi 12
#define EEPROM_N75_PID_aAT 14
#define EEPROM_N75_PID_cAT 16
#define EEPROM_N75_ENABLE_PID 18
//16bit fixed int base 100!
#define EEPROM_N75_BOOST 21
#define EEPROM_N75_MAX_BOOST 23


#define EEPROM_AMBIENTPRESSURE 200

#endif /* MULTIDISPLAY_DEFINES_H_ */
