/*
    Copyright 2009-10 Stephan Martin, Dominik Gummel

    This file is part of Multidisplay.

    Multidisplay is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Multidisplay is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Multidisplay.  If not, see <http://www.gnu.org/licenses/>.
*/


#ifndef SENSORDATA_H
#define SENSORDATA_H

#include <stdint.h>
#include "BoostControllerDefines.h"

class SensorData {
public:
	int anaBoost;
	int anaPoti;
	int anaVoltage;

	float boostAmbientPressureBar;          //calibration for Boost: ambient pressur in bar
	float maxBoost;


	//convertet values:
	float calBoost; //relative boost
	float calAbsoluteBoost;

//	float calBoostPSI; //for PID

	int calPoti;


	SensorData();

	//dont use the constructor because I want to control when the global objects get initialized
	void myconstructor();
};

extern SensorData data;

#endif
